VESPA-PROD-DEPLOY(1)

NAME
vespa-prod-deploy - Deploy an application to production

SYNOPSIS
vespa prod deploy [application-directory-or-file] [flags]

DESCRIPTION
Deploy an application to production.

This commands uploads an application package to Vespa Cloud and deploys it to the production zones specified in deployment.xml.

Nodes are allocated to the application according to resources specified in services.xml.

For more information about production deployments in Vespa Cloud see: https://docs.vespa.ai/en/operations/production-deployment.html https://docs.vespa.ai/en/operations/automated-deployments.html

OPTIONS
-A, --add-cert[=false]
    Copy certificate of the configured application to the current application package (default false)

--author-email=""
    Email of the author of the commit being deployed

--commit=""
    Identifier of the source code being deployed. For example a commit hash

--description=""
    Description of the source code being deployed. For example a git commit message

-h, --help[=false]
    help for deploy

--risk=0
    The risk score of source code being deployed. 0 to ignore (default 0)

--source-url=""
    URL which points to the source code being deployed. For example the build job running the submission

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ mvn package # when adding custom Java components
    $ vespa prod deploy

SEE ALSO
vespa-prod(1)